HackDig : Dig high-quality web security articles for hackers

D-Link addressed 5 flaws on some router models, some of them reached EoL

2020-07-25 15:10

D-Link disclosed five severe vulnerabilities affecting some router models which can be exploited by attackers to compromise a network.

D-Link has disclosed five severe vulnerabilities affecting some router models, the flaw could allow a severe network compromise. Unfortunately, some of the impacted models have reached their End-of-Support (“EOS”)/ End-of-Life (“EOL”) date, which means they wouldn’t receive security updates to fix the issues.

The flaws include reflected Cross-Site Scripting (XSS), buffer overflows, bypassing authentication issues, and arbitrary code execution bugs.

The vulnerabilities have been reported by the ACE Team at Loginsoft, below the full list included in the security advisory published by the vendor:

  • CVE-2020-15892 :: Link :: DAP 1520 :: Buffer overflow in the `ssi` binary, leading to arbitrary command execution.
  • CVE-2020-15893 :: Link :: DIR-816L :: Command injection vulnerability in the UPnP via a crafted M-SEARCH packet
  • CVE-2020-15894 :: Link :: DIR-816L :: Exposed administration function, allowing unauthorized access to the few sensitive information.
  • CVE-2020-15895 :: Link :: DIR-816L :: Reflected XSS vulnerability due to an unescaped value on the device configuration webpage.
  • CVE-2020-15896 :: Link :: DAP-1522 :: Exposed administration function, allowing unauthorized access to the few sensitive information.

An unauthenticated attacker with access to the router administration page can exploit the above issues. The attacker would share the same network as the router (i.e. a public Wi-Fi hotspot or internal network) to trigger the flaws. Another attack scenario sees owners of the target D-Link devices having enabled remote access to the router’s web administration interface.

Researchers from Loginsoft also published proof of concept (PoC) exploits for the vulnerabilities.

Some of the flaws were reported in February  9, 2019, other issues date back to March 2020, but all of them have been publicly disclosed on July 22.

The vendor pointed out that DAP-1522 and DIR-816L models that have reached their “end of support” phase, this means that these devices running firmware versions v1.42 (and below) and v12.06.B09 (and below) will receive no security updates remaining vulnerable.

D-Link also released an “Exceptional Beta Patch Release” firmware version v1.10b04Beta02 for the D-Link DAP-1520 model running vulnerable firmware versions v1.10B04 and below.

Pierluigi Paganini

(SecurityAffairs – hacking, D-Link)

The post D-Link addressed 5 flaws on some router models, some of them reached EoL appeared first on Security Affairs.


Source: muidem_mtu;830#&ssr=ecruos_mtu?lmth.swalf-knil-d/gnikcah/153601/sserpdrow/oc.sriaffaytiruces

“D-Link addressed 5 flaws on some router models, some of them reached EoL”0 Comments

Submit A Comment

Name:

Email:

Blog :

Verification Code:

Announce

Share high-quality web security related articles with you:)

Tools